fbpx
A2 Hosting 網站主機【2 折】限時優惠倒數中

Enable jQuery Migrate Helper 外掛教學,解決 WordPress 5.5 版本之後的兼容問題

Enable jQuery Migrate Helper 是協助仍使用舊版的 jQuery 函數的網站,繼續能暫時正常運行的過渡性外掛。由於官方維護論壇(Official Support Forums)在 WordPress 更新到 5.5 後收到大量網站失效的報告,因為大多數不關注核心開發的用戶,其實並不了解和不知道 jQuery Migrate 已經被官方棄用。因為它與 jQuery 有關,所以許多網站都有非常明顯的排版錯位問題或功能無法正常運作,從而阻止用戶執行諸如查看和編輯內容之類的操作。那些仍在使用 Classic Editor 的用戶在 5.5 更新之中受到的打擊尤其嚴重,因為掛接到舊編輯器的舊外掛更有可能使用已棄用的jQuery 函數。

對佈景主題及外掛開發者來說,jQuery 是一個能夠在網站上快速、便利建立互動元素的架構。WordPress 為了保持這種靈活多用,長期以來一直內建 jQuery 函式庫。大量的外掛及佈景主題使用這個函式庫,且為了避免重大變更而不升級至主要版本,這種狀況造成了即使 WordPress 開放使用較新的程式碼,但許多外掛及佈景主題仍使用已遭淘汰、過時的程式碼。一旦 WordPress 開始執行內建 jQuery 版本的升級,某些佈景主題及外掛因為程式碼太過老舊,很可能會如預期般停止執行。

用 Adobe Flash 案例來解釋給新手了解

如果您把【jQuery】比喻為我們日常的【Adobe Flash】,由於 WordPress 官方說會立即終止舊版的 jQuery 函數,這意味使用舊版的 jQuery 函數運行的(外掛 Plug-in)和(佈景主題 Theme)將會出現一些無法預期的錯誤,但大部分的開發者和公司無法跟上步伐。這就像 Adobe Flash 說 10 年前就應該取替掉和消失,結果到了 2021 年才被強制停止執行,新手應該大約了解就是相似的狀況?

備注:WordPress 官方斷斷續續又繼續支援【舊版的 jQuery 函數】和提供更新,但留意暫定的計劃是在 WordPress 5.7 版本中再次刪除該腳本,預計在2021年。

延伸閱讀:

針對非程式工程師和技術人員,最簡單的解決方案

相信大家和作者我,也並非程式工程師和技術人員出身,無法簡單查找得出這些舊版的外掛或佈景主題是否出了狀況?所以像 Enable jQuery Migrate Helper 這套工具就應運而生,而且設定非常簡單,我本身的使用體驗是用【預設值】,什麼也沒有動。這工具本身啟用後,就會自動運作,檢查我們使用中的網站之中的外掛或佈景主題,有沒有使用過舊的【舊版的 jQuery 函數】,會得出一些【建議提醒】和【報表 Report】,有些朋友可能會很幸運,像我的報表也沒有顯示有任何的問題,或要求我移除什麼程式。反之如果發生不再兼容的程式外掛,請盡快通知【開發商】或更換另外的替代品方為上策。

我們可能要無奈地跟一些【舊】外掛說再見?

世界不停在前進,時間也不會永遠停在一個時間點不動,WordPress 官方下達了時間的死線,加上過渡性的外掛如 Enable jQuery Migrate Helper 也不可能永遠的存在,當它無奈地退出市場,如果舊版的外掛或佈景主題也無意繼續維護該應用程式,很大機會被 WordPress 官方目錄下架和刪除,加上由於無法使用,也愈來愈少部落格主和用家推薦,這些沒有維護的程式,就無奈地要走入歷史的洪流裡。

jQuery 是什麼?

Enable jQuery Migrate Helper 外掛教學,解決 WordPress 5.5 版本之後的兼容問題

jQuery是開源軟體,使用 MIT 授權條款授權。 jQuery 的語法設計使得許多操作變得容易,如操作文件(document)、選擇文件物件模型(DOM)元素、建立動畫效果、處理事件、以及開發 Ajax 程式。jQuery 也提供了給開發人員在其上建立外掛程式的能力。這使開發人員可以對底層互動與動畫、進階效果和進階主題化的組件進行抽象化。模組化的方式使 jQuery 函式庫能夠建立功能強大的動態網頁以及網路應用程式。微軟和諾基亞已宣布在他們的平台上繫結 jQuery。微軟最初在 Visual Studio 中整合了 jQuery 以便在微軟自己的 ASP.NET AJAX 框架和 ASP.NET MVC Framework 中使用,而諾基亞則在他的 Web 執行時組件開發平台中整合了 jQuery。MediaWiki 自從 1.16 版本後也開始使用 jQuery。jQuery 1.3 版以後,引入全新的層疊樣式表(CSS)選擇器引擎 Sizzle。同時不再提供 Packed 版本,因為解壓縮所消耗的時間,遠大於所節省的下載時間,且不利於除錯,且已有 Google AJAX Libraries API 等公開站台提供 jQuery 的 js 的參照服務,故 Packed 版本原本的優點已蕩然無存。

外掛簡介

WordPress 更新至 5.5 版後,便不再預設啟用移轉工具 jquery-migrate,這會造成某些執行舊版程式碼的佈景主題及外掛缺少功能或產生未預期的行為。這個外掛提供一個暫時性的因應措施,它能為 WordPress 5.5 的網站啟用移轉指令碼,以便讓 (網站已採用的) 外掛及佈景主題開發者,能夠有更多時間完成程式碼更新及測試。

隨著 WordPress 5.6 的更新,內建的 jQuery 版本也一併升級。這代表以前觸發警告的舊版程式碼,現在會造成網站執行錯誤或全面停擺。某些不再能正常執行的功能會在背景停止運作,而不會產生任何明顯的問題。這個外掛能讓網站降級至舊版 jQuery 一段時間,但網站管理員仍應積極修復基礎問題。

如何【安裝】Enable jQuery Migrate Helper 外掛?

如何【安裝】Enable jQuery Migrate Helper 外掛?

步驟一

在您的 WordPress 網站後台,在【外掛】裡選擇【安裝外掛】。

步驟二

進入【安裝外掛】的介面,在右方的(搜尋欄位)輸入【Enable jQuery Migrate Helper】。

步驟三

稍等片刻,您會看到【Enable jQuery Migrate Helper】的外掛資訊出現,請確保是如圖中的那個外掛。

如何【啟用】Enable jQuery Migrate Helper 外掛?

如何【啟用】Enable jQuery Migrate Helper 外掛?

步驟一

在您的 WordPress 網站後台,在【外掛】裡選擇【已安裝外掛】。

步驟二

從外掛清單之中,找到免費版的【Enable jQuery Migrate Helper】的外掛,並按下【啟用】,這代表您希望使用這外掛協助您排除錯誤的問題外掛。

如何【刪除】Enable jQuery Migrate Helper 外掛?

如何【刪除】Enable jQuery Migrate Helper 外掛?

步驟一

在您的 WordPress 網站後台,在【外掛】裡選擇【已安裝的外掛】。

步驟二

從外掛清單之中,找到免費版的【Enable jQuery Migrate Helper】的外掛,並按下【刪除】,這代表您希望終止使用這個外掛的功能和服務。

【停用】或【刪除】Enable jQuery Migrate Helper 外掛會發生什麼?

【停用】或【刪除】Enable jQuery Migrate Helper 外掛會發生什麼?

這個外掛是【過渡性】的產品,所以新手要有一個觀念,總有一天,您會和它分手,只是時間的早或晚。但基於每個網站使用的外掛和佈景主題可能出現的(組合)是千變萬化,網站迷谷建議大家不要過早移除,直到 WordPress 官方發出明確的指示,這個產品已經沒有存在的價值,而且這個外掛很輕盈,也不太佔用主機資源,就留著吧。

如果網站沒有找到【舊版的 jQuery 函數】,會出現提醒能夠移除外掛的通知

jQuery Migrate Helper
這個網站已有一段時間沒有記錄到淘汰不用的項目,這個網站可能不再需要這個外掛。

請注意,並非全部 jQuery 已淘汰不用項目都會記錄於記錄檔中。系統會記錄發生於網站前端公開頁面的已淘汰不用項目通知,也僅有在關閉管理列上的即時已淘汰不用項目通知後,才會記錄網站後端發生的已淘汰不用項目。此外,在 WordPress 5.6 中,只有在使用者啟用記錄功能後,才會記錄已淘汰不用項目。

這代表外掛停用後,網站管理員仍須檢查相關項目是否如預期般執行;如果網站在管理後台頁面仍出現警告訊息,網站管理員仍須通知受到影響的外掛或佈景主題開發者。

Enable jQuery Migrate Helper【設定】

Enable jQuery Migrate Helper【設定】

新手建議用【預設值】即可,但您也可以打開相關的選項,主要都是【通知】性質的提醒。

Enable jQuery Migrate Helper【記錄 Log】

Enable jQuery Migrate Helper【記錄 Log】

如果 Enable jQuery Migrate Helper 找到【舊版的 jQuery 函數】的外掛和主題,會顯示在這裡,那您就有義務去通知開發商發現這個問題,並希望對方盡快解決,但最終決定權在廠方,那怕您是付費的用戶,也是被動的。

常見問題 FAQ

WordPress 5.6 發佈後的變更

隨著 WordPress 5.6 的發佈,內建的 jQuery 也一併完成了更新;這代表之前會出現「淘汰不用項目警告訊息」的外掛或佈景主題,現在會造成網站發生錯誤。這個外掛能讓網站在發生這類錯誤時,暫時性的改用舊版 jQuery 以修正程式碼或更換為其他程式,並且會在網站訪客讓網站產生第一次錯誤時就自動採取這項暫時性措施。

如何找到及使用瀏覽器主控台?

請參閱 WordPress.org 上的〈使用瀏覽器診斷 JavaScript 錯誤〉線上說明。

這個外掛不會記錄已遭淘汰不用的項目或變更 jQuery 版本

如果網站使用任何會合併 JavaScript 檔案,或以非同步方式載入 JavaScript 檔案,則這類外掛便會受到負面影響,導致無法如預期般執行。如果網站需要這個外掛才能運作,請停用會以上述方式載入 JavaScript 檔案進行互動的外掛。當基礎問題解決後,網站管理員變可以移除這個外掛並重新啟用其他工具。

如何判斷網站是否需要這個外掛

如果 WordPress 網站升級後發生異常狀況,網站管理員便可以為網站安裝並啟用這個外掛。如果安裝啟用這個外掛後異常狀況有了緩解,請保持這個外掛的啟用狀態,並遵循外掛顯示的相關說明。當網站不再需要這個外掛時,外掛會顯示相關提示。

使用 jQuery v3 時,出現很多「淘汰不用項目警告訊息

對 WordPress 來說,jQuery v3 是非常新的版本,因此這些都是可預期的狀況。「淘汰不用項目通知」代表移轉工具已準備就緒,它能確保相關程式碼在第三方開發者進行更新、修改的期間,相關功能仍能正常執行。

參考資料和引用文獻

立即訂閱我們的網站

我們的團隊並不會濫發信息和廣告,每月定期會整理優惠和 WordPress 相關的更新情報,例如系統、外掛和佈景主題相關的更新,也會推送資訊安全的漏洞注要事項,確保您的網站保持和世界的連繫。

加入免費學習社團

學員人數:4,400+ 人(持續增加之中)

中文語系的 WordPress - Facebook 社團列表

發表您的留言

加入我們的 Facebook 學習社團免費的教學資源、交流和解決問題!

是否覺得孤軍作戰和學習很無趣味?
何不加入學習社團和其他
熱愛網站設計的朋友交流?
分享您建站的喜與樂
學習最新的知識和技術